Package be.fgov.ehealth.mediprima.core.v2

# Class AllowedSupplementsType

java.lang.Object
be.fgov.ehealth.mediprima.core.v2.AllowedSupplementsType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:18:27+02:00", comments="JAXB RI v4.0.5") public class AllowedSupplementsType extends Object implements Serializable
Description of the supplements paid by the OCMW / CPAS (can be filled only for hospitalization medical cover and ambulatory hospitalization medical cover) : maximum amount allowed, supplement types list.

Java class for AllowedSupplementsType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AllowedSupplementsType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="AmountMaxAllowed" type="{http://www.w3.org/2001/XMLSchema}int" minOccurs="0"/>
             <element name="SupplementTypeList" type="{urn:be:fgov:ehealth:mediprima:core:v2}SupplementTypeListType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AllowedSupplementsType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getAmountMaxAllowed()`
  Maximum amount supported by the OCMW / CPAS for the supplements
  `SupplementTypeListType`
  `getSupplementTypeList()`
  Supplement types supported by the OCMW / CPAS for the supplements
  `void`
  `setAmountMaxAllowed(Integer value)`
  Sets the value of the amountMaxAllowed property.
  `void`
  `setSupplementTypeList(SupplementTypeListType value)`
  Sets the value of the supplementTypeList property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AllowedSupplementsType

    public AllowedSupplementsType()

- ## Method Details

  - ### getAmountMaxAllowed

    public Integer getAmountMaxAllowed()
    Maximum amount supported by the OCMW / CPAS for the supplements
    Returns:
      possible object is `Integer`

  - ### setAmountMaxAllowed

    public void setAmountMaxAllowed(Integer value)
    Sets the value of the amountMaxAllowed property.
    Parameters:
      `value` - allowed object is `Integer`
    See Also:
      - `getAmountMaxAllowed()`

  - ### getSupplementTypeList

    public SupplementTypeListType getSupplementTypeList()
    Supplement types supported by the OCMW / CPAS for the supplements
    Returns:
      possible object is `SupplementTypeListType`

  - ### setSupplementTypeList

    public void setSupplementTypeList(SupplementTypeListType value)
    Sets the value of the supplementTypeList property.
    Parameters:
      `value` - allowed object is `SupplementTypeListType`
    See Also:
      - `getSupplementTypeList()`